> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# アノテーションキュー項目進捗更新

> 現在のアノテーターのキュー項目のアノテーション状態を更新します。



## OpenAPI

````yaml /ja/weave/reference/service-api/openapi.json post /annotation_queues/{queue_id}/items/{item_id}/progress
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /annotation_queues/{queue_id}/items/{item_id}/progress:
    post:
      tags:
        - Annotation Queues
      summary: アノテーションキュー項目進捗更新
      description: 現在のアノテーターのキュー項目のアノテーション状態を更新します。
      operationId: >-
        annotation_queue_item_progress_update_annotation_queues__queue_id__items__item_id__progress_post
      parameters:
        - in: path
          name: queue_id
          required: true
          schema:
            title: Queue Id
            type: string
        - in: path
          name: item_id
          required: true
          schema:
            title: Item Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AnnotationQueueItemProgressUpdateBody'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AnnotatorQueueItemsProgressUpdateRes'
          description: 正常なレスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    AnnotationQueueItemProgressUpdateBody:
      additionalProperties: false
      description: |-
        アノテーションの進捗を更新するためのリクエストボディ（queue_id と item_id はパスから取得）。

        注: wb_user_id はボディに含まれません。認証済みセッションに基づいてサーバー側で設定されます。
      properties:
        annotation_state:
          description: '新しい状態: ''in_progress''、''completed''、または ''skipped'''
          examples:
            - in_progress
            - completed
            - skipped
          title: Annotation State
          type: string
        project_id:
          examples:
            - entity/project
          title: Project Id
          type: string
      required:
        - project_id
        - annotation_state
      title: AnnotationQueueItemProgressUpdateBody
      type: object
    AnnotatorQueueItemsProgressUpdateRes:
      description: annotation状態の更新に対するレスポンス。
      properties:
        item:
          $ref: '#/components/schemas/AnnotationQueueItemSchema'
      required:
        - item
      title: AnnotatorQueueItemsProgressUpdateRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    AnnotationQueueItemSchema:
      description: アノテーションキュー項目のレスポンス用スキーマ。
      properties:
        added_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Added By
        annotation_state:
          enum:
            - unstarted
            - in_progress
            - completed
            - skipped
          title: Annotation State
          type: string
        annotator_user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Annotator User Id
        call_ended_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Call Ended At
        call_id:
          title: Call Id
          type: string
        call_op_name:
          title: Call Op Name
          type: string
        call_started_at:
          format: date-time
          title: Call Started At
          type: string
        call_trace_id:
          title: Call Trace Id
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        created_by:
          title: Created By
          type: string
        deleted_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Deleted At
        display_fields:
          items:
            type: string
          title: Display Fields
          type: array
        id:
          title: Id
          type: string
        position_in_queue:
          anyOf:
            - type: integer
            - type: 'null'
          title: Position In Queue
        project_id:
          title: Project Id
          type: string
        queue_id:
          title: Queue Id
          type: string
        updated_at:
          format: date-time
          title: Updated At
          type: string
      required:
        - id
        - project_id
        - queue_id
        - call_id
        - call_started_at
        - call_op_name
        - call_trace_id
        - display_fields
        - annotation_state
        - created_at
        - created_by
        - updated_at
      title: AnnotationQueueItemSchema
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````